gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.InitiallyUnowned Base class for the Gtk object hierarchy. Base object for the Gtk object hierarchy.

The difference between Gtk.Object and GLib. is a historical one, and it matters little in Gtk#.

- Constructor
  2.12.0.0
  Internal.
  Internal constructor.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Method
  2.12.0.0
  System.Obsolete
  System.Void `` `` `` `` a a a a Deprecated. Do not use in new code.
- Method
  2.12.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Void Request all holders to the object to release the reference. This method is used to notify objects that might hold a reference to this object to release the reference.

  This invokes the method and triggers the event.

  The object is only destroyed if all the references to the object are released, this is just a mechanism to request that references be released.

- Event
  2.12.0.0
  GLib.Signal("destroy")
  System.EventHandler Raised to signal that all references to this object should be removed. This event is triggered if someone has invoked the 's method. It is used to inform that all references to the object must be discarded at this point.
- Method
  2.12.0.0
  System.Void To be added. To be added.
- Method
  2.12.0.0
  System.Obsolete
  System.IntPtr `` a Deprecated. Do not use. a
- Method
  2.12.0.0
  System.Obsolete
  System.IntPtr `` a Deprecated. Do not use. a
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  System.Boolean Determines if the object reference is floating. a An object is floating until it is added to a container which claims ownership of the floating reference.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDestroyed", Type=typeof(Gtk.Object))
  System.Void Invoked to request that references to the object be released. This method is invoked when someone has called the 's method. Any references to the object held should be released at this point.
- Property
  2.12.0.0
  System.IntPtr Diagnostic method to print the raw object and its reference count as debug information. a , the internal C data underlying this object.
- Method
  2.12.0.0
  System.Obsolete
  Gtk.Object Deprecated. Do not use. a
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` a Deprecated. Do not use.
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` a Deprecated. Do not use.
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` a Deprecated. Do not use.
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` a Deprecated. Do not use.
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` `` a a Deprecated. Do not use.
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` `` a a Deprecated. Do not use.
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` `` `` a a a Deprecated. Do not use.
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` `` `` a a a Deprecated. Do not use.
- Method
  2.12.0.0
  System.Obsolete
  System.Void Removes the floating reference from a , if it exists; otherwise does nothing. See the overview documentation at the top of the page.
- Method
  2.12.0.0
  System.Obsolete
  System.Void Deprecated. Do not use.
- Property
  2.12.0.0
  GLib.Property("user-data")
  System.Obsolete
  System.IntPtr Helper property to associate information with an object. This is not very useful with the Gtk# binding as it is with the C binding.
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` a Deprecated. Do not use.
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` a Deprecated. Do not use.